LegendPosition.Position (base API)
Date: 2019-04-05

com.twosigma.beakerx.chart.legend

## Enum LegendPosition.Position

- java.lang.Object
- - java.lang.Enum<LegendPosition.Position>
  - - com.twosigma.beakerx.chart.legend.LegendPosition.Position

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LegendPosition.Position>
  Enclosing class:
    LegendPosition

      public static enum LegendPosition.Position
      extends java.lang.Enum<LegendPosition.Position>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOTTOM`
    `BOTTOM_LEFT`
    `BOTTOM_RIGHT`
    `LEFT`
    `RIGHT`
    `TOP`
    `TOP_LEFT`
    `TOP_RIGHT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LegendPosition.Position` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LegendPosition.Position[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TOP

          public static final LegendPosition.Position TOP

    - #### LEFT

          public static final LegendPosition.Position LEFT

    - #### BOTTOM

          public static final LegendPosition.Position BOTTOM

    - #### RIGHT

          public static final LegendPosition.Position RIGHT

    - #### TOP_LEFT

          public static final LegendPosition.Position TOP_LEFT

    - #### TOP_RIGHT

          public static final LegendPosition.Position TOP_RIGHT

    - #### BOTTOM_LEFT

          public static final LegendPosition.Position BOTTOM_LEFT

    - #### BOTTOM_RIGHT

          public static final LegendPosition.Position BOTTOM_RIGHT

  - ### Method Detail

    - #### values

          public static LegendPosition.Position[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LegendPosition.Position c : LegendPosition.Position.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LegendPosition.Position valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null